[BUGFIX] Use proper version range in Git hook